>From fd01325a0e291d2506dbb459b7a76a571b500a7d Mon Sep 17 00:00:00 2001
From: Grigori Goronzy <greg@blackbox>
Date: Tue, 4 Oct 2011 21:48:31 +0200
Subject: [PATCH 6/6] contrib: update libass

---
 contrib/src/ass/SHA512SUMS              |    2 +-
 contrib/src/ass/libass-pkg-static.patch |   13 -------------
 contrib/src/ass/rules.mak               |    7 +++----
 3 files changed, 4 insertions(+), 18 deletions(-)
 delete mode 100644 contrib/src/ass/libass-pkg-static.patch

diff --git a/contrib/src/ass/SHA512SUMS b/contrib/src/ass/SHA512SUMS
index cc6bdd5..f64fe26 100644
--- a/contrib/src/ass/SHA512SUMS
+++ b/contrib/src/ass/SHA512SUMS
@@ -1 +1 @@
-d093a3cd4ff832b82b2648bdc22d0fa4f786e90fb10ca19c35327e79ac5117177fc882615816b4d0bba61cf89b5c49af30bab8cef2367ee3d318d1e76437e9de  libass-0.9.13.tar.gz
+bd21f2c5df9c7f8729db01d77f306ffc730e71fa085410c89b9e3c5a383c957a3266422aa76737acefb5523f159bd71a8e35343f74321708117a46d146bc7c8b  libass-0.10.0.tar.gz
diff --git a/contrib/src/ass/libass-pkg-static.patch b/contrib/src/ass/libass-pkg-static.patch
deleted file mode 100644
index 60109c5..0000000
--- a/contrib/src/ass/libass-pkg-static.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff -ru libass.orig/libass.pc.in libass/libass.pc.in
---- libass.orig/libass.pc.in	2011-08-03 10:52:37.000000000 +0300
-+++ libass/libass.pc.in	2011-08-03 10:52:56.000000000 +0300
-@@ -6,7 +6,6 @@
- Name: libass
- Description: LibASS is an SSA/ASS subtitles rendering library
- Version: @PACKAGE_VERSION@
--Requires.private: @PKG_REQUIRES@
--Libs: -L${libdir} -lass
--Libs.private: -lm
-+Requires: @PKG_REQUIRES@
-+Libs: -L${libdir} -lass -lm
- Cflags: -I${includedir}
diff --git a/contrib/src/ass/rules.mak b/contrib/src/ass/rules.mak
index 865f743..25026fd 100644
--- a/contrib/src/ass/rules.mak
+++ b/contrib/src/ass/rules.mak
@@ -1,5 +1,5 @@
 # ASS
-ASS_VERSION := 0.9.13
+ASS_VERSION := 0.10.0
 ASS_URL := http://libass.googlecode.com/files/libass-$(ASS_VERSION).tar.gz
 
 PKGS += ass
@@ -14,13 +14,12 @@ $(TARBALLS)/libass-$(ASS_VERSION).tar.gz:
 
 libass: libass-$(ASS_VERSION).tar.gz .sum-ass
 	$(UNPACK)
-	$(APPLY) $(SRC)/ass/libass-pkg-static.patch
 	$(MOVE)
 
-DEPS_ass = freetype2 $(DEPS_freetype2) fontconfig $(DEPS_fontconfig)
+DEPS_ass = freetype2 $(DEPS_freetype2) fontconfig $(DEPS_fontconfig) fribidi $(DEPS_fribidi) harfbuzz $(DEPS_harfbuzz)
 
 .ass: libass
 	#$(RECONF)
-	cd $< && $(HOSTVARS) CFLAGS="$(CFLAGS) -O3" ./configure $(HOSTCONF) --disable-png --disable-enca
+	cd $< && $(HOSTVARS) CFLAGS="$(CFLAGS) -O3" ./configure $(HOSTCONF) --disable-enca
 	cd $< && $(MAKE) install
 	touch $@
-- 
1.7.2.3

